DoubleHolder (Java Platform SE 8 )
Keywords: org.omg.CORBA.DoubleHolder class
Date: 2026-03-16

org.omg.CORBA

## Class DoubleHolder

- java.lang.Object
- - org.omg.CORBA.DoubleHolder

- All Implemented Interfaces:
    Streamable

      public final class DoubleHolder
      extends Object
      implements Streamable

  The Holder for `Double`. For more information on Holder files, see "Generated Files: Holder Files".

  A Holder class for a `double` that is used to store "out" and "inout" parameters in IDL methods. If an IDL method signature has an IDL `double` as an "out" or "inout" parameter, the programmer must pass an instance of `DoubleHolder` as the corresponding parameter in the method invocation; for "inout" parameters, the programmer must also fill the "in" value to be sent to the server. Before the method invocation returns, the ORB will fill in the value corresponding to the "out" value returned from the server.

  If `myDoubleHolder` is an instance of `DoubleHolder`, the value stored in its `value` field can be accessed with `myDoubleHolder.value`.

  Since:
    JDK1.2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `value` The `double` value held by this `DoubleHolder` object.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DoubleHolder()` Constructs a new `DoubleHolder` object with its `value` field initialized to 0.0.
    `DoubleHolder(double initial)` Constructs a new `DoubleHolder` object for the given `double`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `_read(InputStream input)` Read a double value from the input stream and store it in the value member.
    `TypeCode` | `_type()` Return the `TypeCode` of this holder object.
    `void` | `_write(OutputStream output)` Write the double value stored in this holder to an `OutputStream`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### value

          public double value

      The `double` value held by this `DoubleHolder` object.

  - ### Constructor Detail

    - #### DoubleHolder

          public DoubleHolder()

      Constructs a new `DoubleHolder` object with its `value` field initialized to 0.0.

    - #### DoubleHolder

          public DoubleHolder(double initial)

      Constructs a new `DoubleHolder` object for the given `double`.
      Parameters:
        `initial` - the `double` with which to initialize the `value` field of the new `DoubleHolder` object

  - ### Method Detail

    - #### _read

          public void _read(InputStream input)

      Read a double value from the input stream and store it in the value member.
      Specified by:
        `_read` in interface `Streamable`
      Parameters:
        `input` - the `InputStream` to read from.

    - #### _write

          public void _write(OutputStream output)

      Write the double value stored in this holder to an `OutputStream`.
      Specified by:
        `_write` in interface `Streamable`
      Parameters:
        `output` - the `OutputStream` to write into.

    - #### _type

          public TypeCode _type()

      Return the `TypeCode` of this holder object.
      Specified by:
        `_type` in interface `Streamable`
      Returns:
        the `TypeCode` object.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.